package com.casic.dcms.model;

import java.util.List;

public class WorkerBean {

    private int code;
    private List<DataBean> data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {
        private String account;
        private String deptId;
        private String deptName;
        private String deviceName;
        private String id;
        private String imei;
        private String lastTime;
        private String lastTimeFmt;
        private String name;
        private String networkNumber;
        private boolean onLine;
        private String phone;
        private String posLastTime;
        private String positionLat;
        private String positionLng;
        private String targetId;
        private String userId;

        public String getAccount() {
            return account;
        }

        public void setAccount(String account) {
            this.account = account;
        }

        public String getDeptId() {
            return deptId;
        }

        public void setDeptId(String deptId) {
            this.deptId = deptId;
        }

        public String getDeptName() {
            return deptName;
        }

        public void setDeptName(String deptName) {
            this.deptName = deptName;
        }

        public String getDeviceName() {
            return deviceName;
        }

        public void setDeviceName(String deviceName) {
            this.deviceName = deviceName;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getImei() {
            return imei;
        }

        public void setImei(String imei) {
            this.imei = imei;
        }

        public String getLastTime() {
            return lastTime;
        }

        public void setLastTime(String lastTime) {
            this.lastTime = lastTime;
        }

        public String getLastTimeFmt() {
            return lastTimeFmt;
        }

        public void setLastTimeFmt(String lastTimeFmt) {
            this.lastTimeFmt = lastTimeFmt;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getNetworkNumber() {
            return networkNumber;
        }

        public void setNetworkNumber(String networkNumber) {
            this.networkNumber = networkNumber;
        }

        public boolean isOnLine() {
            return onLine;
        }

        public void setOnLine(boolean onLine) {
            this.onLine = onLine;
        }

        public String getPhone() {
            return phone;
        }

        public void setPhone(String phone) {
            this.phone = phone;
        }

        public String getPosLastTime() {
            return posLastTime;
        }

        public void setPosLastTime(String posLastTime) {
            this.posLastTime = posLastTime;
        }

        public String getPositionLat() {
            return positionLat;
        }

        public void setPositionLat(String positionLat) {
            this.positionLat = positionLat;
        }

        public String getPositionLng() {
            return positionLng;
        }

        public void setPositionLng(String positionLng) {
            this.positionLng = positionLng;
        }

        public String getTargetId() {
            return targetId;
        }

        public void setTargetId(String targetId) {
            this.targetId = targetId;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }
    }
}
